Public Attributes | List of all members
adc_env_t Struct Reference
Peripheral Driver » APP DRIVER » ADC » Structures

ADC device structure definition. More...

`#include <app_adc.h>`

Collaboration diagram for adc_env_t:
[legend]

## Public Attributes
app_adc_evt_handler_t | evt_handler
| ADC event callback definition. More...
adc_handle_t | handle
| ADC handle definition. More...
app_adc_pin_cfg_t * | p_pin_cfg
| ADC pins config Structures. More...
dma_id_t | dma_id
| DMA id definition. More...
app_adc_state_t | adc_state
| ADC state types. More...
app_adc_dma_state_t | adc_dma_state
| ADC dma state types. More...
app_adc_sample_node_t * | p_current_sample_node
| ADC current sampling node in multi-sample mode. More...
app_adc_sample_node_t * | p_first_sample_node
| ADC first sampling node in multi-sample mode. More...
uint32_t | multi_channel
| Remaining channel count. More...
uint32_t | multi_channel_total
| Total channel count. More...

## Detailed Description

ADC device structure definition.

Definition at line 171 of file app_adc.h.

## Member Data Documentation

## ◆ adc_dma_state

app_adc_dma_state_t adc_env_t::adc_dma_state

ADC dma state types.

Definition at line 178 of file app_adc.h.

## ◆ adc_state

app_adc_state_t adc_env_t::adc_state

ADC state types.

Definition at line 177 of file app_adc.h.

## ◆ dma_id

dma_id_t adc_env_t::dma_id

DMA id definition.

Definition at line 176 of file app_adc.h.

## ◆ evt_handler

app_adc_evt_handler_t adc_env_t::evt_handler

ADC event callback definition.

Definition at line 173 of file app_adc.h.

## ◆ handle

adc_handle_t adc_env_t::handle

ADC handle definition.

Definition at line 174 of file app_adc.h.

## ◆ multi_channel

uint32_t adc_env_t::multi_channel

Remaining channel count.

Definition at line 181 of file app_adc.h.

## ◆ multi_channel_total

uint32_t adc_env_t::multi_channel_total

Total channel count.

Definition at line 182 of file app_adc.h.

## ◆ p_current_sample_node

app_adc_sample_node_t* adc_env_t::p_current_sample_node

ADC current sampling node in multi-sample mode.

Definition at line 179 of file app_adc.h.

## ◆ p_first_sample_node

app_adc_sample_node_t* adc_env_t::p_first_sample_node

ADC first sampling node in multi-sample mode.

Definition at line 180 of file app_adc.h.

## ◆ p_pin_cfg

app_adc_pin_cfg_t* adc_env_t::p_pin_cfg

ADC pins config Structures.

Definition at line 175 of file app_adc.h.

The documentation for this struct was generated from the following file:

- app_adc.h